Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class AuditLog

    java.lang.Object
      sos.koa.AuditLog

public class AuditLog
extends java.lang.Object

This class is used to store all the information needed to generate the 'Verwerkingsverslag' report. In addition it is also used to store information needed for the 'Resultaat van de stemming' report.

Version:
  $Id: AuditLog.java,v 1.23 2004/05/18 18:52:46 hubbers Exp $
Author:
  Engelbert Hubbers (hubbers@cs.kun.nl)

Field Summary
`private static java.lang.String[]` | `countErrors` List of the errors encountered during counting.
`private static int` | `countNrOfVotes` The number of successfully counted votes.
`private static boolean` | `countSuccess` To indicate whether the counting process succeeded or not.
`private static java.lang.String` | `countTimestampEnd` Timestamp for finish of counting.
`private static java.lang.String` | `countTimestampStart` Timestamp for start of counting.
`private static java.lang.String[]` | `decryptErrors` List of the errors encountered during decryption.
`private static int` | `decryptNrOfVotes` The number of successfully decrypted votes.
`private static boolean` | `decryptSuccess` To indicate whether the decryption process succeeded or not.
`private static java.lang.String` | `decryptTimestampEnd` Timestamp for finish of decrypting.
`private static java.lang.String` | `decryptTimestampStart` Timestamp for start of decrypting.
`private static java.lang.String` | `importCandidatesError` To log what went wrong during the import.
`private static java.lang.String` | `importCandidatesFileName` The filename of the file read.
`private static java.lang.String` | `importCandidatesFileTimestamp` The timestamp of the file read.
`private static int` | `importCandidatesNrOfBlanco` The non-negative number of 'blanco' candidates.
`private static int` | `importCandidatesNrOfCandidates` The non-negative number of candidates found in the file.
`private static int` | `importCandidatesNrOfLists` The non-negative number of kieslijsten found in the file.
`private static java.lang.String` | `importCandidatesRefNr` The candidates reference number.
`private static boolean` | `importCandidatesSuccess` To indicate whether importing the candidates succeeded or not.
`private static java.lang.String` | `importPrivKeyError` To log what went wrong during the import.
`private static java.lang.String` | `importPrivKeyFileName` The filename of the file read.
`private static java.lang.String` | `importPrivKeyFileTimestamp` The timestamp of the file read.
`private static boolean` | `importPrivKeySuccess` To indicate whether importing the private key succeeded or not.
`private static java.lang.String` | `importPubKeyError` To log what went wrong during the import.
`private static java.lang.String` | `importPubKeyFileName` The filename of the file read.
`private static java.lang.String` | `importPubKeyFileTimestamp` The timestamp of the file read.
`private static boolean` | `importPubKeySuccess` To indicate whether importing the public key succeeded or not.
`private static java.lang.String` | `importVotesError` To log what went wrong during the import.
`private static java.lang.String` | `importVotesFileName` The filename of the file read.
`private static java.lang.String` | `importVotesFileTimestamp` The timestamp of the file read.
`private static int` | `importVotesNrOfKieskringen` The number of kieskringen found in the file with the votes.
`private static int` | `importVotesNrOfVotes` The number of encrypted votes found in the file with the votes.
`private static boolean` | `importVotesSuccess` To indicate whether importing the votes succeeded or not.
`private static boolean` | `keypairSuccess` To indicate whether the private and public key match.
`private static java.util.TreeMap` | `kiesKringen` The TreeMap that is used to store the kiesKringen found in the file with the votes.
`private static java.lang.String` | `logTimestamp` The creation time of the audit log.
`private static java.lang.String` | `votingBureau` The string that contains the name of the voting bureau.
`private static java.lang.String` | `votingChairman` The string that contains the name of the voting chairman.
`private static java.lang.String` | `votingElection` The string that contains the name of the election.
`private static java.lang.String` | `votingElectionTimestampEnd` The string that contains the ending time of the election.
`private static java.lang.String` | `votingElectionTimestampStart` The string that contains the starting time of the election.
`private static java.lang.String` | `votingExportTimestamp` The string that contains the timestamp for the export of the votes.
`private static java.lang.String` | `votingInterval` The string that contains the voting interval.
`private static int` | `votingNrOfRegisteredVoters` The number of registered voters.
`private static java.lang.String` | `votingState` The string that contains the state of the voting.

Constructor Summary
`AuditLog()`

Method Summary
`static KiesKring` | `addKiesKring(byte number, java.lang.String name)`
`static void` | `clear()` Resets everything to the initial values.
`static java.lang.String[]` | `getCountErrors()` Retrieve errors encountered during counting of the votes.
`static int` | `getCountNrOfVotes()` Retrieve the number of votes counted.
`static boolean` | `getCountSuccess()` Retrieve whether the count process was successful or not.
`static java.lang.String` | `getCountTimestampEnd()` Retrieve the end time of the counting process.
`static java.lang.String` | `getCountTimestampStart()` Retrieve the start time of the counting process.
`static java.lang.String` | `getCurrentTimestamp()` Get the current time.
`static java.lang.String[]` | `getDecryptErrors()` Retrieve errors encountered during decryption of the votes.
`static int` | `getDecryptNrOfVotes()` Retrieve the number of votes decrypted.
`static boolean` | `getDecryptSuccess()` Retrieve whether the decrypt process was successful or not.
`static java.lang.String` | `getDecryptTimestampEnd()` Retrieve the end time of the decryption.
`static java.lang.String` | `getDecryptTimestampStart()` Retrieve the start time of the decryption.
`static java.lang.String` | `getImportCandidatesError()` Retrieve errors encountered during the import of candidates.
`static java.lang.String` | `getImportCandidatesFileName()` Retrieve the name of the candidate file.
`static java.lang.String` | `getImportCandidatesFileTimestamp()` Retrieve modification time of the candidate file.
`static int` | `getImportCandidatesNrOfBlanco()` Retrieve the number of BLANCO candidates.
`static int` | `getImportCandidatesNrOfCandidates()` Retrieve the number of candidates.
`static int` | `getImportCandidatesNrOfLists()` Retrieve the number of candidate lists (kieslijsten).
`static java.lang.String` | `getImportCandidatesRefNr()` Retrieve the candidates reference number.
`static boolean` | `getImportCandidatesSuccess()` Retrieve whether importing the candidates was successful.
`static java.lang.String` | `getImportPrivKeyError()` Retrieve errors encountered during the import of the private key.
`static java.lang.String` | `getImportPrivKeyFileName()` Retrieve the name of the private key file.
`static java.lang.String` | `getImportPrivKeyFileTimestamp()` Retrieve modification time of the private key file.
`static boolean` | `getImportPrivKeySuccess()` Retrieve whether importing the private key was successful.
`static java.lang.String` | `getImportPubKeyError()` Retrieve errors encountered during the import of the public key.
`static java.lang.String` | `getImportPubKeyFileName()` Retrieve the name of the public key file.
`static java.lang.String` | `getImportPubKeyFileTimestamp()` Retrieve modification time of the public key file.
`static boolean` | `getImportPubKeySuccess()` Retrieve whether importing the public key was successful.
`static java.lang.String` | `getImportVotesError()` Retrieve errors encountered during the import of votes.
`static java.lang.String` | `getImportVotesFileName()` Retrieve the name of the vote file.
`static java.lang.String` | `getImportVotesFileTimestamp()` Retrieve modification time of the vote file.
`static int` | `getImportVotesNrOfKieskringen()` Retrieve the number of kieskringen.
`static int` | `getImportVotesNrOfVotes()` Retrieve the number of votes.
`static boolean` | `getImportVotesSuccess()` Retrieve whether importing the encrypted votes was successful.
`static boolean` | `getKeypairSuccess()` Retrieve whether the private key and the public key form a pair.
`static java.lang.String` | `getLogTimestamp()` Retrieve the timestamp for the creation of the audit log.
`static javax.xml.transform.Source` | `getSourceForAuditLog()` Returns a Source object for this object so it can be used as input for a JAXP transformation.
`static java.lang.String` | `getVotingBureau()` Retrieve the name of the voting bureau.
`static java.lang.String` | `getVotingChairman()` Retrieve the name of the voting chairman.
`static java.lang.String` | `getVotingElection()` Retrieve the name of the election.
`static java.lang.String` | `getVotingElectionTimestampEnd()` Retrieve the end time of the election.
`static java.lang.String` | `getVotingElectionTimestampStart()` Retrieve the start time of the election.
`static java.lang.String` | `getVotingExportTimestamp()` Retrieve the timestamp of the export of the votes.
`static java.lang.String` | `getVotingInterval()` Retrieve the voting interval.
`static int` | `getVotingNrOfRegisteredVoters()` Retrieve the number of registered voters.
`static java.lang.String` | `getVotingState()` Retrieve the voting state.
`static boolean` | `hasKiesKring(byte a_kieskring_number)`
`static void` | `setCountErrors(java.lang.String[] s)` Record errors encountered during counting of the votes.
`static void` | `setCountNrOfVotes(int i)` Record the number of votes counted.
`static void` | `setCountSuccess(boolean b)` Record whether the count process was successful or not.
`static void` | `setCountTimestampEnd(java.lang.String s)` Record the end time of the counting process.
`static void` | `setCountTimestampStart(java.lang.String s)` Record the start time of the counting process.
`static void` | `setDecryptErrors(java.lang.String[] s)` Record errors encountered during decryption of the votes.
`static void` | `setDecryptNrOfVotes(int i)` Record the number of votes decrypted.
`static void` | `setDecryptSuccess(boolean b)` Record whether the decrypt process was successful or not.
`static void` | `setDecryptTimestampEnd(java.lang.String s)` Record the end time of the decryption.
`static void` | `setDecryptTimestampStart(java.lang.String s)` Record the start time of the decryption.
`static void` | `setImportCandidatesError(java.lang.String s)` Record errors encountered during the import of candidates.
`static void` | `setImportCandidatesFileName(java.lang.String s)` Record the name of the candidate file.
`static void` | `setImportCandidatesFileTimestamp(java.lang.String s)` Record modification time of the candidate file.
`static void` | `setImportCandidatesNrOfBlanco(int i)` Record the number of BLANCO candidates.
`static void` | `setImportCandidatesNrOfCandidates(int i)` Record the number of candidates.
`static void` | `setImportCandidatesNrOfLists(int i)` Record the number of candidate lists (kieslijsten).
`static void` | `setImportCandidatesRefNr(java.lang.String s)` Record the candidates reference number.
`static void` | `setImportCandidatesSuccess(boolean b)` Record whether importing the candidates was successful.
`static void` | `setImportPrivKeyError(java.lang.String s)` Record errors encountered during the import of the private key.
`static void` | `setImportPrivKeyFileName(java.lang.String s)` Record the name of the private key file.
`static void` | `setImportPrivKeyFileTimestamp(java.lang.String s)` Record modification time of the private key file.
`static void` | `setImportPrivKeySuccess(boolean b)` Record whether importing the private key was successful.
`static void` | `setImportPubKeyError(java.lang.String s)` Record errors encountered during the import of the public key.
`static void` | `setImportPubKeyFileName(java.lang.String s)` Record the name of the public key file.
`static void` | `setImportPubKeyFileTimestamp(java.lang.String s)` Record modification time of the public key file.
`static void` | `setImportPubKeySuccess(boolean b)` Record whether importing the public key was successful.
`static void` | `setImportVotesError(java.lang.String s)` Record errors encountered during the import of votes.
`static void` | `setImportVotesFileName(java.lang.String s)` Record the name of the vote file.
`static void` | `setImportVotesFileTimestamp(java.lang.String s)` Record modification time of the vote file.
`static void` | `setImportVotesNrOfKieskringen(int i)` Record the number of kieskringen.
`static void` | `setImportVotesNrOfVotes(int i)` Record the number of votes.
`static void` | `setImportVotesSuccess(boolean b)` Record whether importing the encrypted votes was successful.
`static void` | `setKeypairSuccess(boolean b)` Record whether the private key and the public key form a pair.
`static void` | `setLogTimestamp()` Record the timestamp for the creation of the audit log.
`static void` | `setVotingBureau(java.lang.String s)` Record the name of the voting bureau.
`static void` | `setVotingChairman(java.lang.String s)` Record the name of the voting chairman.
`static void` | `setVotingElection(java.lang.String s)` Record the name of the election.
`static void` | `setVotingElectionTimestampEnd(java.lang.String s)` Record the end time of the election.
`static void` | `setVotingElectionTimestampStart(java.lang.String s)` Record the start time of the election.
`static void` | `setVotingExportTimestamp(java.lang.String s)` Record the timestamp of the export of the votes.
`static void` | `setVotingInterval(java.lang.String s)` Record the voting interval.
`static void` | `setVotingNrOfRegisteredVoters(int i)` Record the number of registered voters.
`static void` | `setVotingState(java.lang.String s)` Record the voting state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logTimestamp

    private static java.lang.String logTimestamp

  The creation time of the audit log.

### votingInterval

    private static java.lang.String votingInterval

  The string that contains the voting interval.

### votingNrOfRegisteredVoters

    private static int votingNrOfRegisteredVoters

  The number of registered voters. We assume this non-negative number is greater or equal to the imported nr of votes from the 'stembus export'.

### votingBureau

    private static java.lang.String votingBureau

  The string that contains the name of the voting bureau.

### votingChairman

    private static java.lang.String votingChairman

  The string that contains the name of the voting chairman.

### votingState

    private static java.lang.String votingState

  The string that contains the state of the voting.

### votingElection

    private static java.lang.String votingElection

  The string that contains the name of the election.

### votingElectionTimestampStart

    private static java.lang.String votingElectionTimestampStart

  The string that contains the starting time of the election.

### votingElectionTimestampEnd

    private static java.lang.String votingElectionTimestampEnd

  The string that contains the ending time of the election.

### votingExportTimestamp

    private static java.lang.String votingExportTimestamp

  The string that contains the timestamp for the export of the votes.

### kiesKringen

    private static java.util.TreeMap kiesKringen

  The TreeMap that is used to store the kiesKringen found in the file with the votes.

### importCandidatesSuccess

    private static boolean importCandidatesSuccess

  To indicate whether importing the candidates succeeded or not.

### importCandidatesError

    private static java.lang.String importCandidatesError

  To log what went wrong during the import.

### importCandidatesFileName

    private static java.lang.String importCandidatesFileName

  The filename of the file read.

### importCandidatesFileTimestamp

    private static java.lang.String importCandidatesFileTimestamp

  The timestamp of the file read.

### importCandidatesRefNr

    private static java.lang.String importCandidatesRefNr

  The candidates reference number.

### importCandidatesNrOfLists

    private static int importCandidatesNrOfLists

  The non-negative number of kieslijsten found in the file.

### importCandidatesNrOfCandidates

    private static int importCandidatesNrOfCandidates

  The non-negative number of candidates found in the file.

### importCandidatesNrOfBlanco

    private static int importCandidatesNrOfBlanco

  The non-negative number of 'blanco' candidates. Typically this should be one.

### importVotesSuccess

    private static boolean importVotesSuccess

  To indicate whether importing the votes succeeded or not.

### importVotesError

    private static java.lang.String importVotesError

  To log what went wrong during the import.

### importVotesFileName

    private static java.lang.String importVotesFileName

  The filename of the file read.

### importVotesFileTimestamp

    private static java.lang.String importVotesFileTimestamp

  The timestamp of the file read.

### importVotesNrOfKieskringen

    private static int importVotesNrOfKieskringen

  The number of kieskringen found in the file with the votes.

### importVotesNrOfVotes

    private static int importVotesNrOfVotes

  The number of encrypted votes found in the file with the votes. Note that this includes also malformed 'votes'.

### importPrivKeySuccess

    private static boolean importPrivKeySuccess

  To indicate whether importing the private key succeeded or not.

### importPrivKeyError

    private static java.lang.String importPrivKeyError

  To log what went wrong during the import.

### importPrivKeyFileName

    private static java.lang.String importPrivKeyFileName

  The filename of the file read.

### importPrivKeyFileTimestamp

    private static java.lang.String importPrivKeyFileTimestamp

  The timestamp of the file read.

### importPubKeySuccess

    private static boolean importPubKeySuccess

  To indicate whether importing the public key succeeded or not.

### importPubKeyError

    private static java.lang.String importPubKeyError

  To log what went wrong during the import.

### importPubKeyFileName

    private static java.lang.String importPubKeyFileName

  The filename of the file read.

### importPubKeyFileTimestamp

    private static java.lang.String importPubKeyFileTimestamp

  The timestamp of the file read.

### keypairSuccess

    private static boolean keypairSuccess

  To indicate whether the private and public key match.

### decryptSuccess

    private static boolean decryptSuccess

  To indicate whether the decryption process succeeded or not.

### decryptErrors

    private static java.lang.String[] decryptErrors

  List of the errors encountered during decryption.

### decryptTimestampStart

    private static java.lang.String decryptTimestampStart

  Timestamp for start of decrypting.

### decryptTimestampEnd

    private static java.lang.String decryptTimestampEnd

  Timestamp for finish of decrypting.

### decryptNrOfVotes

    private static int decryptNrOfVotes

  The number of successfully decrypted votes. This includes also possible illegal votes.

### countSuccess

    private static boolean countSuccess

  To indicate whether the counting process succeeded or not.

### countErrors

    private static java.lang.String[] countErrors

  List of the errors encountered during counting.

### countTimestampStart

    private static java.lang.String countTimestampStart

  Timestamp for start of counting.

### countTimestampEnd

    private static java.lang.String countTimestampEnd

  Timestamp for finish of counting.

### countNrOfVotes

    private static int countNrOfVotes

  The number of successfully counted votes.

Constructor Detail

### AuditLog

    public AuditLog()

Method Detail

### getCurrentTimestamp

    public static java.lang.String getCurrentTimestamp()

  Get the current time.

  Returns:
    the current time.

### setLogTimestamp

    public static void setLogTimestamp()

  Record the timestamp for the creation of the audit log.

### getLogTimestamp

    public static java.lang.String getLogTimestamp()

  Retrieve the timestamp for the creation of the audit log.

  Returns:
    creation time of the audit log.

### setVotingInterval

    public static void setVotingInterval(java.lang.String s)

  Record the voting interval.

  Parameters:
    `s` - the voting interval.

### getVotingInterval

    public static java.lang.String getVotingInterval()

  Retrieve the voting interval.

  Returns:
    the voting interval.

### setVotingNrOfRegisteredVoters

    public static void setVotingNrOfRegisteredVoters(int i)

  Record the number of registered voters.

  Parameters:
    `i` - the number of registered voters.

### getVotingNrOfRegisteredVoters

    public static int getVotingNrOfRegisteredVoters()

  Retrieve the number of registered voters.

  Returns:
    the number of registered voters.

### setImportCandidatesSuccess

    public static void setImportCandidatesSuccess(boolean b)

  Record whether importing the candidates was successful.

  Parameters:
    `b` - successful or not.

### getImportCandidatesSuccess

    public static boolean getImportCandidatesSuccess()

  Retrieve whether importing the candidates was successful.

  Returns:
    successful or not.

### setImportCandidatesError

    public static void setImportCandidatesError(java.lang.String s)

  Record errors encountered during the import of candidates.

  Parameters:
    `s` - the error text.

### getImportCandidatesError

    public static java.lang.String getImportCandidatesError()

  Retrieve errors encountered during the import of candidates.

  Returns:
    the error text.

### setImportCandidatesFileName

    public static void setImportCandidatesFileName(java.lang.String s)

  Record the name of the candidate file.

  Parameters:
    `s` - the filename.

### getImportCandidatesFileName

    public static java.lang.String getImportCandidatesFileName()

  Retrieve the name of the candidate file.

  Returns:
    the filename.

### setImportCandidatesFileTimestamp

    public static void setImportCandidatesFileTimestamp(java.lang.String s)

  Record modification time of the candidate file.

  Parameters:
    `s` - the modification time.

### getImportCandidatesFileTimestamp

    public static java.lang.String getImportCandidatesFileTimestamp()

  Retrieve modification time of the candidate file.

  Returns:
    the modification time.

### setImportCandidatesRefNr

    public static void setImportCandidatesRefNr(java.lang.String s)

  Record the candidates reference number.

  Parameters:
    `s` - the candidate reference number.

### getImportCandidatesRefNr

    public static java.lang.String getImportCandidatesRefNr()

  Retrieve the candidates reference number.

  Returns:
    the candidate reference number.

### setImportCandidatesNrOfLists

    public static void setImportCandidatesNrOfLists(int i)

  Record the number of candidate lists (kieslijsten).

  Parameters:
    `i` - the number of kieslijsten.

### getImportCandidatesNrOfLists

    public static int getImportCandidatesNrOfLists()

  Retrieve the number of candidate lists (kieslijsten).

  Returns:
    the number of kieslijsten.

### setImportCandidatesNrOfCandidates

    public static void setImportCandidatesNrOfCandidates(int i)

  Record the number of candidates.

  Parameters:
    `i` - the number of candidates.

### getImportCandidatesNrOfCandidates

    public static int getImportCandidatesNrOfCandidates()

  Retrieve the number of candidates.

  Returns:
    the number of candidates.

### setImportCandidatesNrOfBlanco

    public static void setImportCandidatesNrOfBlanco(int i)

  Record the number of BLANCO candidates.

  Parameters:
    `i` - the number of BLANCO candidates. Typically, this should be 1.

### getImportCandidatesNrOfBlanco

    public static int getImportCandidatesNrOfBlanco()

  Retrieve the number of BLANCO candidates.

  Returns:
    the number of BLANCO candidates. Typically, this should be 1.

### setImportVotesSuccess

    public static void setImportVotesSuccess(boolean b)

  Record whether importing the encrypted votes was successful.

  Parameters:
    `b` - successful or not.

### getImportVotesSuccess

    public static boolean getImportVotesSuccess()

  Retrieve whether importing the encrypted votes was successful.

  Returns:
    successful or not.

### setImportVotesError

    public static void setImportVotesError(java.lang.String s)

  Record errors encountered during the import of votes.

  Parameters:
    `s` - the errors.

### getImportVotesError

    public static java.lang.String getImportVotesError()

  Retrieve errors encountered during the import of votes.

  Returns:
    the errors.

### setImportVotesFileName

    public static void setImportVotesFileName(java.lang.String s)

  Record the name of the vote file.

  Parameters:
    `s` - the filename.

### getImportVotesFileName

    public static java.lang.String getImportVotesFileName()

  Retrieve the name of the vote file.

  Returns:
    the filename.

### setImportVotesFileTimestamp

    public static void setImportVotesFileTimestamp(java.lang.String s)

  Record modification time of the vote file.

  Parameters:
    `s` - the modification time.

### getImportVotesFileTimestamp

    public static java.lang.String getImportVotesFileTimestamp()

  Retrieve modification time of the vote file.

  Returns:
    the modification time.

### setImportVotesNrOfKieskringen

    public static void setImportVotesNrOfKieskringen(int i)

  Record the number of kieskringen.

  Parameters:
    `i` - the number of kieskringen.

### getImportVotesNrOfKieskringen

    public static int getImportVotesNrOfKieskringen()

  Retrieve the number of kieskringen.

  Returns:
    the number of kieskringen.

### setImportVotesNrOfVotes

    public static void setImportVotesNrOfVotes(int i)

  Record the number of votes.

  Parameters:
    `i` - the number of votes.

### getImportVotesNrOfVotes

    public static int getImportVotesNrOfVotes()

  Retrieve the number of votes.

  Returns:
    the number of votes.

### setVotingBureau

    public static void setVotingBureau(java.lang.String s)

  Record the name of the voting bureau.

  Parameters:
    `s` - the voting bureau.

### getVotingBureau

    public static java.lang.String getVotingBureau()

  Retrieve the name of the voting bureau.

  Returns:
    the voting bureau.

### setVotingChairman

    public static void setVotingChairman(java.lang.String s)

  Record the name of the voting chairman.

  Parameters:
    `s` - the voting chairman.

### getVotingChairman

    public static java.lang.String getVotingChairman()

  Retrieve the name of the voting chairman.

  Returns:
    the voting chairman.

### setVotingState

    public static void setVotingState(java.lang.String s)

  Record the voting state.

  Parameters:
    `s` - the voting state.

### getVotingState

    public static java.lang.String getVotingState()

  Retrieve the voting state.

  Returns:
    the voting state.

### setVotingElection

    public static void setVotingElection(java.lang.String s)

  Record the name of the election.

  Parameters:
    `s` - the election.

### getVotingElection

    public static java.lang.String getVotingElection()

  Retrieve the name of the election.

  Returns:
    the election.

### setVotingElectionTimestampStart

    public static void setVotingElectionTimestampStart(java.lang.String s)

  Record the start time of the election.

  Parameters:
    `s` - the start time of the election.

### getVotingElectionTimestampStart

    public static java.lang.String getVotingElectionTimestampStart()

  Retrieve the start time of the election.

  Returns:
    the start time of the election.

### setVotingElectionTimestampEnd

    public static void setVotingElectionTimestampEnd(java.lang.String s)

  Record the end time of the election.

  Parameters:
    `s` - the end time of the election.

### getVotingElectionTimestampEnd

    public static java.lang.String getVotingElectionTimestampEnd()

  Retrieve the end time of the election.

  Returns:
    the end time of the election.

### setVotingExportTimestamp

    public static void setVotingExportTimestamp(java.lang.String s)

  Record the timestamp of the export of the votes.

  Parameters:
    `s` - the timestamp of the export of the votes.

### getVotingExportTimestamp

    public static java.lang.String getVotingExportTimestamp()

  Retrieve the timestamp of the export of the votes.

  Returns:
    the timestamp of the export of the votes.

### setImportPrivKeySuccess

    public static void setImportPrivKeySuccess(boolean b)

  Record whether importing the private key was successful.

  Parameters:
    `b` - successful or not.

### getImportPrivKeySuccess

    public static boolean getImportPrivKeySuccess()

  Retrieve whether importing the private key was successful.

  Returns:
    successful or not.

### setImportPrivKeyError

    public static void setImportPrivKeyError(java.lang.String s)

  Record errors encountered during the import of the private key.

  Parameters:
    `s` - the errors.

### getImportPrivKeyError

    public static java.lang.String getImportPrivKeyError()

  Retrieve errors encountered during the import of the private key.

  Returns:
    the errors.

### setImportPrivKeyFileName

    public static void setImportPrivKeyFileName(java.lang.String s)

  Record the name of the private key file.

  Parameters:
    `s` - the filename.

### getImportPrivKeyFileName

    public static java.lang.String getImportPrivKeyFileName()

  Retrieve the name of the private key file.

  Returns:
    the filename.

### setImportPrivKeyFileTimestamp

    public static void setImportPrivKeyFileTimestamp(java.lang.String s)

  Record modification time of the private key file.

  Parameters:
    `s` - the modification time.

### getImportPrivKeyFileTimestamp

    public static java.lang.String getImportPrivKeyFileTimestamp()

  Retrieve modification time of the private key file.

  Returns:
    the modification time.

### setImportPubKeySuccess

    public static void setImportPubKeySuccess(boolean b)

  Record whether importing the public key was successful.

  Parameters:
    `b` - successful or not.

### getImportPubKeySuccess

    public static boolean getImportPubKeySuccess()

  Retrieve whether importing the public key was successful.

  Returns:
    successful or not.

### setImportPubKeyError

    public static void setImportPubKeyError(java.lang.String s)

  Record errors encountered during the import of the public key.

  Parameters:
    `s` - the errors.

### getImportPubKeyError

    public static java.lang.String getImportPubKeyError()

  Retrieve errors encountered during the import of the public key.

  Returns:
    the errors. /*@ normal_behavior

### setImportPubKeyFileName

    public static void setImportPubKeyFileName(java.lang.String s)

  Record the name of the public key file.

  Parameters:
    `s` - the filename.

### getImportPubKeyFileName

    public static java.lang.String getImportPubKeyFileName()

  Retrieve the name of the public key file.

  Returns:
    the filename.

### setImportPubKeyFileTimestamp

    public static void setImportPubKeyFileTimestamp(java.lang.String s)

  Record modification time of the public key file.

  Parameters:
    `s` - the modification time.

### getImportPubKeyFileTimestamp

    public static java.lang.String getImportPubKeyFileTimestamp()

  Retrieve modification time of the public key file.

  Returns:
    the modification time.

### setKeypairSuccess

    public static void setKeypairSuccess(boolean b)

  Record whether the private key and the public key form a pair.

  Parameters:
    `b` - successful or not.

### getKeypairSuccess

    public static boolean getKeypairSuccess()

  Retrieve whether the private key and the public key form a pair.

  Returns:
    successful or not.

### setDecryptSuccess

    public static void setDecryptSuccess(boolean b)

  Record whether the decrypt process was successful or not.

  Parameters:
    `b` - successful or not.

### getDecryptSuccess

    public static boolean getDecryptSuccess()

  Retrieve whether the decrypt process was successful or not.

  Returns:
    successful or not.

### setDecryptErrors

    public static void setDecryptErrors(java.lang.String[] s)

  Record errors encountered during decryption of the votes.

  Parameters:
    `s` - the errors.

### getDecryptErrors

    public static java.lang.String[] getDecryptErrors()

  Retrieve errors encountered during decryption of the votes.

  Returns:
    the errors.

### setDecryptTimestampStart

    public static void setDecryptTimestampStart(java.lang.String s)

  Record the start time of the decryption.

  Parameters:
    `s` - the start time of the decryption.

### getDecryptTimestampStart

    public static java.lang.String getDecryptTimestampStart()

  Retrieve the start time of the decryption.

  Returns:
    the start time of the decryption.

### setDecryptTimestampEnd

    public static void setDecryptTimestampEnd(java.lang.String s)

  Record the end time of the decryption.

  Parameters:
    `s` - the end time of the decryption

### getDecryptTimestampEnd

    public static java.lang.String getDecryptTimestampEnd()

  Retrieve the end time of the decryption.

  Returns:
    the end time of the decryption

### setDecryptNrOfVotes

    public static void setDecryptNrOfVotes(int i)

  Record the number of votes decrypted.

  Parameters:
    `i` - the number of votes decrypted.

### getDecryptNrOfVotes

    public static int getDecryptNrOfVotes()

  Retrieve the number of votes decrypted.

  Returns:
    the number of votes decrypted.

### setCountSuccess

    public static void setCountSuccess(boolean b)

  Record whether the count process was successful or not.

  Parameters:
    `b` - successful or not.

### getCountSuccess

    public static boolean getCountSuccess()

  Retrieve whether the count process was successful or not.

  Returns:
    successful or not.

### setCountErrors

    public static void setCountErrors(java.lang.String[] s)

  Record errors encountered during counting of the votes.

  Parameters:
    `s` - the errors.

### getCountErrors

    public static java.lang.String[] getCountErrors()

  Retrieve errors encountered during counting of the votes.

  Returns:
    the errors. /*@ normal_behavior

### setCountTimestampStart

    public static void setCountTimestampStart(java.lang.String s)

  Record the start time of the counting process.

  Parameters:
    `s` - the start time of the counting process.

### getCountTimestampStart

    public static java.lang.String getCountTimestampStart()

  Retrieve the start time of the counting process.

  Returns:
    the start time of the counting process.

### setCountTimestampEnd

    public static void setCountTimestampEnd(java.lang.String s)

  Record the end time of the counting process.

  Parameters:
    `s` - the end time of the counting process.

### getCountTimestampEnd

    public static java.lang.String getCountTimestampEnd()

  Retrieve the end time of the counting process.

  Returns:
    the end time of the counting process.

### setCountNrOfVotes

    public static void setCountNrOfVotes(int i)

  Record the number of votes counted.

  Parameters:
    `i` - the number of votes counted.

### getCountNrOfVotes

    public static int getCountNrOfVotes()

  Retrieve the number of votes counted.

### getSourceForAuditLog

    public static javax.xml.transform.Source getSourceForAuditLog()

  Returns a Source object for this object so it can be used as input for a JAXP transformation.

  Returns:
    Source The Source object

### addKiesKring

    public static KiesKring addKiesKring(byte number,
                                         java.lang.String name)

### hasKiesKring

    public static boolean hasKiesKring(byte a_kieskring_number)

### clear

    public static void clear()

  Resets everything to the initial values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD